<?php
require_once("dbcontroller.php");
$db_handle = new DBController();
$sql = "SELECT * from grid";
$faq = $db_handle->runQuery($sql);
?>
<html>
<head>
<title>Compliance Grid</title>
<style>
body{width:610px;}
.current-row{background-color:#B24926;color:#FFF;}
.current-col{background-color:#1b1b1b;color:#FFF;}
.tbl-qa{width: 100%;font-size:0.9em;background-color: #f5f5f5;}
.tbl-qa th.table-header {padding: 5px;text-align: left;padding:10px;}
.tbl-qa .table-row td {padding:10px;background-color: #FDFDFD;}
</style>
<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
<script>
	function showEdit(editableObj) {
		$(editableObj).css("background","#FFF");
	} 
		
	function saveToDatabase(editableObj,column,id) {
		$(editableObj).css("background","#FFF url(loaderIcon.gif) no-repeat right");
		$.ajax({
			url: "saveedit.php",
			type: "POST",
			data:'column='+column+'&editval='+editableObj.innerHTML+'&id='+id,
			success: function(data){
				$(editableObj).css("background","#FDFDFD");
			}        
	   });
	}
	</script>
</head>
<body>		
<table class="tbl-qa">
<thead>
<tr>
<th class="table-header">Item ID</th>
<th class="table-header">Item</th>
<th class="table-header">Date</th>
<th class="table-header">Bond1</th>
<th class="table-header">Bond2</th>
<th class="table-header">Morr1</th>
<th class="table-header">Tayl3</th>
<th class="table-header">Edin4</th>
<th class="table-header">Pana8</th>
<th class="table-header">SF14</th>
<th class="table-header">Alt10</th>
<th class="table-header">BC20</th>
<th class="table-header">Diet30</th>
<th class="table-header">Eff40</th>
<th class="table-header">Teu50</th>
<th class="table-header">Bro201</th>
<th class="table-header">StE202</th>
<th class="table-header">Van203</th>
<th class="table-header">Ram204</th>
<th class="table-header">Pan2</th>
<th class="table-header">Hill3</th>
<th class="table-header">Lit12</th>
<th class="table-header">Nok22</th>
</tr>
</thead>
<tbody>

<?php
  foreach($faq as $k=>$v) {
?>

<tr class="table-row">
<td><?php echo $k+1; ?></td>
<td contenteditable="true" onBlur="saveToDatabase(this,'question','<?php echo $faq[$k]["id"]; ?>')" onClick="showEdit(this);"><?php echo $faq[$k]["question"]; ?></td>
<td contenteditable="true" onBlur="saveToDatabase(this,'answer','<?php echo $faq[$k]["id"]; ?>')" onClick="showEdit(this);"><?php echo $faq[$k]["answer"]; ?></td>
</tr>

<?php
}
?>

</tbody>
</table>
</body>
</html>
